#!/bin/sh
# Copyright (c) 2000-2010 Synology Inc. All rights reserved.
PRIVATE_LOCATION="/var/packages/AntiVirus/target"
ENG_INSTALL_DIR="/usr/syno"

case $1 in
	start)
		#install ClamAV libraries into DS
		ln -sf ${PRIVATE_LOCATION}/engine/clamav/lib/libclam*.so* /lib/.
		ln -sf ${PRIVATE_LOCATION}/lib/libsynoavclam.so /lib/.
	;;
	stop)
		echo "Stopping ClamAV..."
		if [ -n 'pidof freshclam' ]; then
			killall -9 freshclam
			sleep 2
		fi
		
		#remove ClamAV libraries from DS
		rm -rf /lib/libclamav.so
		rm -rf /lib/libclamav.so.6
		rm -rf /lib/libclamav.so.6.1.12
		rm -rf /lib/libclamunrar.so
		rm -rf /lib/libclamunrar.so.6
		rm -rf /lib/libclamunrar.so.6.1.12
		rm -rf /lib/libclamunrar_iface.so
		rm -rf /lib/libclamunrar_iface.so.6
		rm -rf /lib/libclamunrar_iface.so.6.1.12
		rm -rf /lib/libsynoavclam.so
		;;
	restart)
		$0 stop
		sleep 1
		$0 start
		;;
	*)
		echo "Usage: $0 start|stop|restart"
	;;
esac

